Bug 172505 - Postinstall and postuninstall scripts fails with "No theme index file" error
Postinstall and postuninstall scripts fails with "No theme index file" error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-05 10:19 EST by Robin Green
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 06:55:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-11-05 10:19:58 EST
Description of problem:
I installed my rawhide machine with the "minimal" software group (i.e. no GNOME)
and then installed selected packages including OpenOffice.org. Now whenever I
upgrade OpenOffice.org using yum, I get the error described below.

(As a consequence of the postun script breaking, all the previous versions are
still registered as installed in the RPM database.)

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.0-3.7.2

How reproducible:
Always

Steps to Reproduce:
1. yum upgrade
  
Actual results:
 Updating  : openoffice.org-core          ##################### [  5/115]
No theme index file in '/usr/share/icons/hicolor'.
If you really want to create an icon cache here, use --ignore-theme-index.
error: %post(openoffice.org-core-2.0.0-3.7.2.i386) scriptlet failed, exit status 1

Expected results:
 Updating  : openoffice.org-core          ##################### [  5/115]

Additional info:
This bug also currently occurs in the post and/or postun scripts for:
eclipse-platform
system-config-securitylevel
Comment 1 Caolan McNamara 2005-11-08 06:55:18 EST
should be easily fixable by testing for the .index file

Note You need to log in before you can comment on or make changes to this bug.